/* main.c	-- John Galbraith Tue Jun 23 1998
 *
 * $Log$
 */

#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>
#include <sys/conf.h>

#include "../module/gpib.h"

int main()
{
    int gpctl, gp1, i, iotech, x;
    char buf[256];
    char* msg = "T0XU0X";

    gpctl = open("/dev/gp1ctl", O_RDWR);
    if(gpctl == -1)
    {
        perror("gpctl");
	exit(-1);
    }

    iotech = open("/dev/gp1d18", O_RDWR);
    if(gpctl == -1)
    {
        perror("iotech");
	exit(-1);
    }

    if(ioctl(iotech, GPIB_SPOLL, buf) == -1)
        perror("gp ioctl spoll iotech");
    else
        printf("spoll iotech, got 0x%x\n", buf[0]);

    printf("sending: ");
    printf("%s\n", msg);
    i = write(iotech, msg, strlen(msg));
    if(i == -1)
        perror("iotech write");
    else
        printf("wrote %d bytes\n", i);

    for(x = 0; x < 3; x++)
    {
        i = read(iotech, buf, 256);
        if(i == -1)
            perror("iotech read");
        else
            printf("read %d bytes\n", i);
        
        buf[i] = 0;
        printf("received: ");
        printf("%s\n", buf);
    }

    if(close(gpctl))
    {
        perror("gpctl");
	exit(-1);
    }

    if(close(iotech))
    {
        perror("iotech");
	exit(-1);
    }

    exit(0);
}
